# Into

    public struct Into<D> : Hashable where D : DynamicObject

An `Into` clause contains the destination entity and destination persistent store for a `create(...)` method. A common usage is to just indicate the entity:

    let person = transaction.create(Into<MyPersonEntity>())

For cases where multiple `NSPersistentStore`s contain the same entity, the destination configuration’s name needs to be specified as well:

    let person = transaction.create(Into<MyPersonEntity>("Configuration1"))

- `entityClass`

  The associated `NSManagedObject` or `CoreStoreObject` entity class

  #### Declaration

  Swift

      public let entityClass: D.Type

- `configuration`

  The `NSPersistentStore` configuration name to associate objects from. May contain a `String` to pertain to a named configuration, or `nil` to pertain to the default configuration

  #### Declaration

  Swift

      public let configuration: ModelConfiguration

- `init()`

  Initializes an `Into` clause.

      let person = transaction.create(Into<MyPersonEntity>())

  #### Declaration

  Swift

      public init()

- `init(_:)`

  Initializes an `Into` clause with the specified entity type. This is useful for querying a subclass while binding the generic type with a base class.

      let person = transaction.create(Into<MyPersonEntity>(MyEmployeeEntity.self))

  #### Declaration

  Swift

      public init(_ entity: D.Type)

  #### Parameters

  `entity` | the `NSManagedObject` or `CoreStoreObject` type to be created

- `init(_:)`

  Initializes an `Into` clause with the specified configuration.

      let person = transaction.create(Into<MyPersonEntity>("Configuration1"))

  #### Declaration

  Swift

      public init(_ configuration: ModelConfiguration)

  #### Parameters

  `configuration` | the `NSPersistentStore` configuration name to associate the object to. This parameter is required if multiple configurations contain the created `NSManagedObject`‘s or `CoreStoreObject`’s entity type. Set to `nil` to use the default configuration.

- `init(_:_:)`

  Initializes an `Into` clause with the specified entity type and configuration. This is useful for querying a subclass while binding the generic type with a base class.

      let person = transaction.create(Into<MyPersonEntity>(MyEmployeeEntity.self, "Configuration1"))

  #### Declaration

  Swift

      public init(_ entity: D.Type, _ configuration: ModelConfiguration)

  #### Parameters

  `entity` | the `NSManagedObject` or `CoreStoreObject` type to be created
  `configuration` | the `NSPersistentStore` configuration name to associate the object to. This parameter is required if multiple configurations contain the created `NSManagedObject`‘s or `CoreStoreObject`’s entity type. Set to `nil` to use the default configuration.

### Equatable

- `==(_:_:)`

  #### Declaration

  Swift

      public static func == <U, V>(lhs: Into<U>, rhs: Into<V>) -> Bool where U : DynamicObject, V : DynamicObject

### Hashable

- `hash(into:)`

  #### Declaration

  Swift

      public func hash(into hasher: inout Hasher)

### CustomDebugStringConvertible

- `debugDescription`

  #### Declaration

  Swift

      public var debugDescription: String { get }